Package: grails.core

## [Java] Interface InjectableGrailsClass

- grails.core.support.GrailsApplicationAware

- All Superinterfaces:
    GrailsClass, GrailsApplicationAware

      public interface InjectableGrailsClass
      extends GrailsClass

  Represents a Grails class that is to be configured in Spring and as such is injectable.

  Authors:
    Steven Devijver
    Graeme Rocher
  Since:
    1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `byName()` If autowiring by name is enabled.
    `` | `public boolean` | `byType()` If autowiring by type is enabled.
    `` | `public boolean` | `getAvailable()` If class should be configured for dependency injection.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPluginName, getPropertyName, getPropertyValue, getPropertyValue, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance`
    `interface GrailsApplicationAware` | `setGrailsApplication`

- - ### Method Detail

    - #### public boolean byName()

      If autowiring by name is enabled.

      Returns:
        autowiring by name

    - #### public boolean byType()

      If autowiring by type is enabled.

      Returns:
        autowiring by type

    - #### public boolean getAvailable()

      If class should be configured for dependency injection.

      Returns:
        available for dependency injection